Bug 1872880 - Deprecated APIs in use alert firing when none are in use
Summary: Deprecated APIs in use alert firing when none are in use
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Alexander Greene
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1867799
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-26 19:35 UTC by Alexander Greene
Modified: 2020-11-11 04:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-11 04:57:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 326 0 None closed Bug 1872880: Correctly count non-default Marketplace CRs 2020-11-03 21:29:46 UTC
Red Hat Product Errata RHBA-2020:4321 0 None None None 2020-11-11 04:57:12 UTC

Comment 6 Bruno Andrade 2020-10-20 00:19:44 UTC
OCP Version: 4.4.0-0.nightly-2020-10-17-051433 
OLM version: 0.14.2
git commit: 6307c54ea472e772de9d421201ce5a1ef1f74134

I have only one custom Operator Source and metrics are shown properly. Marking as VERIFIED

oc get pods -n openshift-marketplace    
NAME                                    READY   STATUS    RESTARTS   AGE
certified-operators-fb574b465-bljqg     1/1     Running   0          6h49m
community-operators-6dff86fc6d-bbvwn    1/1     Running   0          6h49m
marketplace-operator-749d9c9d74-6rxdk   1/1     Running   0          6h50m
qe-app-registry-5bb7bdcb8d-chfps        1/1     Running   0          6h34m
redhat-marketplace-6c8d455d64-q5zmc     1/1     Running   0          3h48m
redhat-operators-686685646-ql4qt        1/1     Running   0          5h48m

oc port-forward marketplace-operator-749d9c9d74-6rxdk 8081 -n openshift-marketplace
Forwarding from [::1]:8081 -> 8081
Handling connection for 8081


curl -k https://localhost:8081/metrics | grep "custom_resource_total"
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 12977    0 12977    0     0  13616      0 --:--:-- --:--:-- --:--:-- 13602
# HELP custom_resource_total A gauge that stores the count of custom OperatorSource and CatalogSourceConfig resources in the cluster.
# TYPE custom_resource_total gauge

Comment 9 errata-xmlrpc 2020-11-11 04:57:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.30 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4321


Note You need to log in before you can comment on or make changes to this bug.